/* ujisf.c */
int get_line(register char *c);
void unget_line(char *c);
char *get_string(register char *str, char *buf);
void bad_line(char *bf);
void error_no_heap(void);

#ifdef CHINESE
void ujis_header (int *which_dict);
#else
void ujis_header (void);
#endif

void read_ujis(int rev, int to_esc, int which_dict);
void reverse_yomi(void);
void print_je(register struct je *jep, register FILE *opter, int serial_out, int esc_exp);
void output_ujis(register FILE *opter, int serial_out, int esc_exp);
int init_heap(int hpb, int yhpb, int l, int rl, FILE *ipf);
void init_jeary(void);
int sort_func_je(const void *a, const void *b);
int sort_func_je_kanji(const void *a, const void *b);
int sort_func(register char *a, register char *b, int which);
void sort(void);
void sort_if_not_sorted(void);
void sort_kanji(void);
void uniq_je(int (*func)(const void *a, const void *b));
int Sorted(register char *st, register int lc, int size, int (*sort_fun)(const void *a, const void *b));
int is_katakana(register char *k, register char *y);
int w_stradd (register w_char *str, register w_char **cp);
void exit1 (void);
